[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomLabel.CalcFittingFontHeight

Calculate the height of the font needed to fit the available space, given the MaxWidth and MaxHeight constraints

## Declaration

Source position: stdctrls.pp line 1436

`public function TCustomLabel.CalcFittingFontHeight(`
`const TheText: String;`
`MaxWidth: Integer;`
`MaxHeight: Integer;`
`var FontHeight: Integer;`
`var NeededWidth: Integer;`
`var NeededHeight: Integer`
`):Boolean;`

The latest version of this document can be found at lazarus-ccr.sourceforge.net .